package com.fireworksdk.bridge.flutter.models

enum class FWSdkModuleCallMethod(val rawValue: String) {
  Init("init"),
  OpenVideoPlayer("openVideoPlayer"),
  SetShareBaseURL("setShareBaseURL"),
  SetAdBadgeConfiguration("setAdBadgeConfiguration"),
  SetCustomCTAClickEnabled("setCustomCTAClickEnabled"),
  SetVideoPlaybackEventEnabled("setVideoPlaybackEventEnabled"),
  ChangeAppLanguage("changeAppLanguage"),
}

enum class FWShoppingModuleCallMethod(val rawValue: String) {
  Init("init"),
  SetCartIconVisible("setCartIconVisible"),
  SetCartItemCount("setCartItemCount"),
  SetCustomClickLinkButtonEnabled("setCustomClickLinkButtonEnabled"),
  SetProductInfoViewConfiguration("setProductInfoViewConfiguration"),
}

enum class FWVideoFeedCallMethod(val rawValue: String) {
  SetVideoFeedConfiguration("setVideoFeedConfiguration"),
  SetVideoPlayerConfiguration("setVideoPlayerConfiguration"),
  Refresh("refresh"),
  SetMarginRight("setMarginRight"),
}

enum class FWStoryBlockCallMethod(val rawValue: String) {
  ToggleFullScreen("toggleFullScreen"),
  SetMarginRight("setMarginRight"),
  Play("play"),
  Pause("pause"),
  SetStoryBlockConfiguration("setStoryBlockConfiguration"),
  Show("show"),
  Hide("hide"),
}

enum class FWLiveStreamModuleCallMethod(val rawValue: String) {
  Init("init"),
}

enum class FWNavigatorModuleCallMethod(val rawValue: String) {
  PushNativeContainer("pushNativeContainer"),
  PopNativeContainer("popNativeContainer"),
  CanPopNativeContainer("canPopNativeContainer"),
  StartFloatingPlayer("startFloatingPlayer"),
  StopFloatingPlayer("stopFloatingPlayer"),
}