package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWShoppingCtaResultRes
import org.json.JSONObject

object FWShoppingCtaResultSerializer {

  private const val RES_KEY = "res"
  private const val TIPS_KEY = "tips"

  fun serialize(model: FWShoppingCtaResult?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(RES_KEY, FWShoppingCtaResultRes.serialize(model.res))
    jsonObject.put(TIPS_KEY, model.tips)
    return jsonObject
  }
}