package com.fireworksdk.bridge.models.enums

enum class FWVideoCompleteAction(val rawValue: String) {
  Loop("loop"),
  AdvanceToNext("advanceToNext");

  companion object {
    fun deserialize(rawValue: String?): FWVideoCompleteAction? {
      rawValue ?: return null
      return FWVideoCompleteAction.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWVideoCompleteAction?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}