package com.fireworksdk.bridge.models.enums

enum class FWVideoFeedTitlePosition(val rawValue: String) {
  Nested("nested"),
  Stacked("stacked");

  companion object {
    fun deserialize(rawValue: String?): FWVideoFeedTitlePosition? {
      rawValue ?: return null
      return FWVideoFeedTitlePosition.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWVideoFeedTitlePosition?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}

