package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWVideoFeedMode
import com.fireworksdk.bridge.models.enums.FWVideoFeedSource

data class FWVideoFeedPropsModel(
  val source: FWVideoFeedSource? = null,
  val channel: String? = null,
  val playlist: String? = null,
  val playlistGroup: String? = null,
  val hashtagFilterExpression: String? = null,
  val productIds: List<String>? = null,
  val contentId: String? = null,
  val shareUrl: String? = null,
  val mode: FWVideoFeedMode? = null,
  val videoFeedConfiguration: FWVideoFeedConfigModel? = null,
  val videoPlayerConfiguration: FWVideoPlayerConfigModel? = null,
  val dynamicContentParameters: Map<String, List<String>>? = null,
  val marginRight: Double? = null,
  val cornerRadius: Int? = null,
)
