package com.fireworksdk.bridge.utils

import com.firework.livestream.LivestreamPlayerInitializer

object FWLiveStreamUtil {

  private val livestreamPlayerInitializerList: MutableList<LivestreamPlayerInitializer> = mutableListOf()

  fun addLivestreamPlayerInitializer(initializer: LivestreamPlayerInitializer?) {
    initializer ?: return
    livestreamPlayerInitializerList.add(initializer)
  }

  fun livestreamPlayerInitializers(): List<LivestreamPlayerInitializer> {
    return livestreamPlayerInitializerList
  }
}