import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/android_font_info.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/android_font_info_util.dart';

void main() {
  test('AndroidFontInfoUtil toJson', () {
    final androidFontInfo = AndroidFontInfo(
      isCustom: false,
      typefaceName: "SANS_SERIF",
    );
    final json = AndroidFontInfoUtil.toJson(androidFontInfo);
    expect(json["isCustom"], androidFontInfo.isCustom);
    expect(json["typefaceName"], androidFontInfo.typefaceName);
  });
}
