import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/live_stream_message_details_util.dart';

void main() {
  test('LiveStreamMessageDetailsUtil fromJson', () {
    final json = {
      "messageId": "test_message_id",
      "username": "test_username",
      "text": "test_text",
    };
    final detail = LiveStreamMessageDetailsUtil.fromJson(json);
    expect(detail?.messageId, json["messageId"]);
    expect(detail?.username, json["username"]);
    expect(detail?.text, json["text"]);
  });
}
